Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.system
Class PluginInformation

    java.lang.Object
      madkit.system.PluginInformation

All Implemented Interfaces:
  java.io.Serializable

    public class PluginInformation

extends java.lang.Object
implements java.io.Serializable

Author:
  Sebastian Rodriguez (adaptation J. Ferber) PluginInformation contains all the information of a plugin.. The plugin agent reads the content of the .properties file, not the build.xml file!!
See Also:
  Serialized Form

Field Summary
`static int` | `NEEDS_UPDATE`
`static int` | `NEW`
`static int` | `UP_TO_DATE`

Constructor Summary
`protected` | `PluginInformation(java.io.File dir)`

Method Summary
`void` | `addDepend(java.lang.String elt)`
`void` | `addRequire(java.lang.String elt)`
`void` | `addRequire(java.lang.String[] elts)`
`java.lang.String` | `getAgentNames()`
`java.lang.String` | `getAuthorName()`
`java.io.File` | `getBuildFile()`
`java.lang.String` | `getCategory()`
`java.util.Vector` | `getDependList()`
`java.lang.String` | `getDepends()`
`java.lang.String` | `getDescription()`
`java.io.File` | `getDesktopIniFile()`
`java.io.File` | `getDirectory()`
`java.lang.String` | `getDocFile()`
`java.lang.String` | `getDocPath()`
`java.lang.String` | `getName()`
`java.util.Vector` | `getRequireList()`
`java.lang.String` | `getRequires()`
`int` | `getSize()`
`java.lang.String` | `getSystem()`
`Version` | `getVersion()`
`void` | `parseDepends()`
`void` | `parseRequires()`
`void` | `removeDepend(java.lang.String elt)`
`void` | `removeRequire(java.lang.String elt)`
`void` | `setAuthorName(java.lang.String s)` Sets the author of the plugin
`void` | `setDescription(java.lang.String s)` Sets the description of the plugin
`void` | `setSystem(java.lang.String s)`
`void` | `setVersion(java.lang.String s)` Sets the version of the plugin
`void` | `setVersion(Version v)` Sets the version of the plugin
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UP_TO_DATE

    public static final int UP_TO_DATE

See Also:
  Constant Field Values

### NEEDS_UPDATE

    public static final int NEEDS_UPDATE

See Also:
  Constant Field Values

### NEW

    public static final int NEW

See Also:
  Constant Field Values

Constructor Detail

### PluginInformation

    protected PluginInformation(java.io.File dir)

Method Detail

### getDepends

    public java.lang.String getDepends()

### parseDepends

    public void parseDepends()

### getDependList

    public java.util.Vector getDependList()

### addDepend

    public void addDepend(java.lang.String elt)

### removeDepend

    public void removeDepend(java.lang.String elt)

### getRequires

    public java.lang.String getRequires()

### parseRequires

    public void parseRequires()

### getRequireList

    public java.util.Vector getRequireList()

### addRequire

    public void addRequire(java.lang.String[] elts)

### addRequire

    public void addRequire(java.lang.String elt)

### removeRequire

    public void removeRequire(java.lang.String elt)

### getDocPath

    public java.lang.String getDocPath()

### getAuthorName

    public final java.lang.String getAuthorName()

  Returns:
    Returns the_author Name.

### setAuthorName

    public final void setAuthorName(java.lang.String s)

  Sets the author of the plugin

### getSystem

    public java.lang.String getSystem()

  Returns:
    Returns the system.

### setSystem

    public void setSystem(java.lang.String s)

  Parameters:
    `system` - The system to set.

### getDescription

    public final java.lang.String getDescription()

  Returns:
    Returns the description of the plugin

### setDescription

    public final void setDescription(java.lang.String s)

  Sets the description of the plugin

### getDirectory

    public final java.io.File getDirectory()

  Returns:
    Returns the directory where the plugin is located.

### getDesktopIniFile

    public final java.io.File getDesktopIniFile()

  Returns:
    Returns the file of the local desktop.ini file of the plugin.

### getBuildFile

    public final java.io.File getBuildFile()

  Returns:
    Returns the file of the local desktop.ini file of the plugin.

### getName

    public final java.lang.String getName()

  Returns:
    Returns the _name.

### getSize

    public final int getSize()

  Returns:
    Returns the _size.

### getVersion

    public final Version getVersion()

  Returns:
    Returns the version.

### setVersion

    public final void setVersion(Version v)

  Sets the version of the plugin

  Parameters:
    `v` - the version in structured form

### setVersion

    public final void setVersion(java.lang.String s)

  Sets the version of the plugin

  Parameters:
    `v` - a String which represents the version

### getDocFile

    public final java.lang.String getDocFile()

  Returns:
    Returns the docFile.

### getCategory

    public final java.lang.String getCategory()

  Returns:
    Returns the category.

### getAgentNames

    public final java.lang.String getAgentNames()

  Returns:
    Returns the agentNames (is not all).

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.